# boost::numeric::ublas::compressed_vector< T, IB, IA, TA >::iterator Class Reference

List of all members.

## Public Types

typedef compressed_vector::value_type | value_type
typedef compressed_vector::difference_type | difference_type
typedef compressed_vector::true_reference | reference
typedef compressed_vector::pointer | pointer

## Public Member Functions

BOOST_UBLAS_INLINE | iterator (self_type &v, const subiterator_type &it)
BOOST_UBLAS_INLINE iterator & | operator++ ()
BOOST_UBLAS_INLINE iterator & | operator-- ()
BOOST_UBLAS_INLINE reference | operator* () const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE iterator & | operator= (const iterator &it)
BOOST_UBLAS_INLINE bool | operator== (const iterator &it) const

## Friends

class | const_iterator

### template<class T, std::size_t IB, class IA, class TA>
class boost::numeric::ublas::compressed_vector< T, IB, IA, TA >::iterator